%bcond_without check

%global goipath         github.com/mmarkdown/mmark
Version:                2.2.10

%gometa

%global common_description %{expand:
Mmark is a powerful markdown processor written in Go, geared towards writing
IETF documents. It is, however, also suited for writing complete books and other
technical documentation, like the Learning Go book (mmark source, and I-D text
output).}

%global golicenses      LICENSE
%global godocs          FAQ.md README.md mmark.1.md Syntax.md 

Name:           %{goname}
Release:    2%{?dist}
Summary:        Powerful markdown processor in Go geared towards the IETF

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/BurntSushi/toml)
BuildRequires:  golang(github.com/gomarkdown/markdown)
BuildRequires:  golang(github.com/gomarkdown/markdown/ast)
BuildRequires:  golang(github.com/gomarkdown/markdown/html)
BuildRequires:  golang(github.com/gomarkdown/markdown/parser)

%if %{with check}
BuildRequires:  golang(github.com/google/go-cmp/cmp)
%endif

Provides: golang-github-miekg-mmark = %{version}-%{release}

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/mmark %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc FAQ.md README.md mmark.1.md Syntax.md
%{_bindir}/*

%gopkgfiles

%changelog
* Sun Jun 08 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.2.10-2
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
